# TColStd_HSequenceOfExtendedString.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColStd_HSequenceOfExtendedString.hxx>`
`#include <TColStd_SequenceOfExtendedString.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item TCollection_ExtendedString
#define | Item_hxx <TCollection_ExtendedString.hxx>
#define | TheSequence TColStd_SequenceOfExtendedString
#define | TheSequence_hxx <TColStd_SequenceOfExtendedString.hxx>
#define | TCollection_HSequence TColStd_HSequenceOfExtendedString
#define | TCollection_HSequence_hxx <TColStd_HSequenceOfExtendedString.hxx>
#define | Handle_TCollection_HSequence Handle_TColStd_HSequenceOfExtendedString
#define | TCollection_HSequence_Type_() TColStd_HSequenceOfExtendedString_Type_()

## Functions

Handle_TColStd_HSequenceOfExtendedString | ShallowCopy (const Handle_TColStd_HSequenceOfExtendedString &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColStd_HSequenceOfExtendedString

#define Item TCollection_ExtendedString

#define Item_hxx <TCollection_ExtendedString.hxx>

#define TCollection_HSequence TColStd_HSequenceOfExtendedString

#define TCollection_HSequence_hxx <TColStd_HSequenceOfExtendedString.hxx>

#define TCollection_HSequence_Type_ | (

)

TColStd_HSequenceOfExtendedString_Type_()

#define TheSequence TColStd_SequenceOfExtendedString

#define TheSequence_hxx <TColStd_SequenceOfExtendedString.hxx>

## Function Documentation

Handle_TColStd_HSequenceOfExtendedString ShallowCopy | ( | const Handle_TColStd_HSequenceOfExtendedString & | me | ) | `[inline]`